@ECHO OFF

IF %1.==. GOTO Usage

IF NOT EXIST %1.key GOTO KeyNotFound
IF NOT EXIST %1.crt GOTO CrtNotFound

openssl pkcs12 -export -out %1.pfx -inkey %1.key -in %1.crt -chain -CAfile ca\ca.crt

IF EXIST %1.pfx GOTO Success

GOTO End

:CrtNotFound
ECHO Error: file '%1.crt' not found
GOTO End

:KeyNotFound
ECHO Error: file '%1.key' not found
GOTO End

:Success
ECHO Created '%1.pfx'. Use this to sign your executable code.
GOTO End

:Usage
ECHO Usage: MakePfxFile.bat [CertificateName]

:End